HQ APICredit wallets
Purchase SMS credits
Charges the company's card via Chargebee and adds credits to the wallet.
POST
/v1/hq/credit_wallets/{wallet_id}/purchaseAuthorization
BearerTokenAuth
AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
wallet_id*string
Request Body
application/json
item_price_id*string
The Chargebee item price ID for the credit pack to purchase.
payment_intent_id*string
The Chargebee authorization transaction ID obtained client-side via Chargebee.js. The intent must be authorized for an amount equal to the credit pack's price and belong to the authenticated company. Server validates both before creating the invoice.
Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/credit_wallets/string/purchase" \ -H "Content-Type: application/json" \ -d '{ "item_price_id": "string", "payment_intent_id": "string" }'{
"id": "string",
"company": "string",
"type": "sms",
"balance": 0,
"currency": "string",
"low_balance_threshold": 0,
"auto_top_up": {
"enabled": true,
"threshold": 0,
"amount": 0,
"item_price_id": "string"
},
"free_allowance": {
"limit": 0,
"used": 0,
"period_start": "2019-08-24T14:15:22Z"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}Empty
Empty
Empty
Empty
Empty